Skip to content
Back to top

# bson_json_mode_t

BSON JSON encoding mode enumeration

## Synopsis

    #include <bson/bson.h>

    typedef enum {
       BSON_JSON_MODE_LEGACY,
       BSON_JSON_MODE_CANONICAL,
       BSON_JSON_MODE_RELAXED,
    } bson_json_mode_t;

## Description

The bson_json_mode_t enumeration contains all available modes for encoding BSON into MongoDB Extended JSON.

See also

bson_as_json_with_opts()